JspRenderInputTag (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.web.taglib.jsp

## [Java] Class JspRenderInputTag

- org.codehaus.groovy.grails.web.taglib.jsp.JspRenderInputTag

- A JSP facade that delegates to the Grails RenderInputTag (

  deprecated:
  Authors:
    Graeme Rocher
  See Also:
    RenderInputTag

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.web.servlet.tags.RequestContextAwareTag` | `REQUEST_CONTEXT_PAGE_ATTRIBUTE`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected int` | `doStartTagInternal()`
    `java.lang.String` | `getBean()`
    `java.lang.String` | `getProperty()`
    `void` | `setBean(java.lang.String bean)`
    `void` | `setProperty(java.lang.String property)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.web.servlet.tags.RequestContextAwareTag` | `org.springframework.web.servlet.tags.RequestContextAwareTag#doFinally(), org.springframework.web.servlet.tags.RequestContextAwareTag#doStartTag(), org.springframework.web.servlet.tags.RequestContextAwareTag#doCatch(java.lang.Throwable), org.springframework.web.servlet.tags.RequestContextAwareTag#getValue(java.lang.String), org.springframework.web.servlet.tags.RequestContextAwareTag#getParent(), org.springframework.web.servlet.tags.RequestContextAwareTag#getId(), org.springframework.web.servlet.tags.RequestContextAwareTag#setParent(javax.servlet.jsp.tagext.Tag), org.springframework.web.servlet.tags.RequestContextAwareTag#setValue(java.lang.String, java.lang.Object), org.springframework.web.servlet.tags.RequestContextAwareTag#release(), org.springframework.web.servlet.tags.RequestContextAwareTag#setId(java.lang.String), org.springframework.web.servlet.tags.RequestContextAwareTag#getValues(), org.springframework.web.servlet.tags.RequestContextAwareTag#doEndTag(), org.springframework.web.servlet.tags.RequestContextAwareTag#findAncestorWithClass(javax.servlet.jsp.tagext.Tag, java.lang.Class), org.springframework.web.servlet.tags.RequestContextAwareTag#doAfterBody(), org.springframework.web.servlet.tags.RequestContextAwareTag#setPageContext(javax.servlet.jsp.PageContext), org.springframework.web.servlet.tags.RequestContextAwareTag#removeValue(java.lang.String), org.springframework.web.servlet.tags.RequestContextAwareTag#wait(long, int), org.springframework.web.servlet.tags.RequestContextAwareTag#wait(long), org.springframework.web.servlet.tags.RequestContextAwareTag#wait(), org.springframework.web.servlet.tags.RequestContextAwareTag#equals(java.lang.Object), org.springframework.web.servlet.tags.RequestContextAwareTag#toString(), org.springframework.web.servlet.tags.RequestContextAwareTag#hashCode(), org.springframework.web.servlet.tags.RequestContextAwareTag#getClass(), org.springframework.web.servlet.tags.RequestContextAwareTag#notify(), org.springframework.web.servlet.tags.RequestContextAwareTag#notifyAll()`
    `class javax.servlet.jsp.tagext.TagSupport` | `javax.servlet.jsp.tagext.TagSupport#getValue(java.lang.String), javax.servlet.jsp.tagext.TagSupport#getParent(), javax.servlet.jsp.tagext.TagSupport#getId(), javax.servlet.jsp.tagext.TagSupport#setParent(javax.servlet.jsp.tagext.Tag), javax.servlet.jsp.tagext.TagSupport#setValue(java.lang.String, java.lang.Object), javax.servlet.jsp.tagext.TagSupport#release(), javax.servlet.jsp.tagext.TagSupport#setId(java.lang.String), javax.servlet.jsp.tagext.TagSupport#getValues(), javax.servlet.jsp.tagext.TagSupport#doStartTag(), javax.servlet.jsp.tagext.TagSupport#doEndTag(), javax.servlet.jsp.tagext.TagSupport#findAncestorWithClass(javax.servlet.jsp.tagext.Tag, java.lang.Class), javax.servlet.jsp.tagext.TagSupport#doAfterBody(), javax.servlet.jsp.tagext.TagSupport#setPageContext(javax.servlet.jsp.PageContext), javax.servlet.jsp.tagext.TagSupport#removeValue(java.lang.String), javax.servlet.jsp.tagext.TagSupport#wait(long, int), javax.servlet.jsp.tagext.TagSupport#wait(long), javax.servlet.jsp.tagext.TagSupport#wait(), javax.servlet.jsp.tagext.TagSupport#equals(java.lang.Object), javax.servlet.jsp.tagext.TagSupport#toString(), javax.servlet.jsp.tagext.TagSupport#hashCode(), javax.servlet.jsp.tagext.TagSupport#getClass(), javax.servlet.jsp.tagext.TagSupport#notify(), javax.servlet.jsp.tagext.TagSupport#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override protected int doStartTagInternal()

    - #### public java.lang.String getBean()

    - #### public java.lang.String getProperty()

    - #### public void setBean(java.lang.String bean)

    - #### public void setProperty(java.lang.String property)